function out=uqpskgenerate(nd,fs,sr,fc,SNR);    
data1=rand(1,nd*2)>0.5;
m = fs/sr;
Ts = 1/fs;         
[ich,qch]=symgenerator(data1,nd);
ich1=sample(ich,m);
qch1=sample(qch,m);
n3=0:length(ich1)-1;
w=cos(2*pi*fc*n3*Ts)+i*sin(2*pi*fc*n3*Ts);
uqpskout=ich1+i*sqrt(10)*qch1;
uqpskout1=w.*uqpskout;
uqpskout2=awgn(uqpskout1,SNR);
out=uqpskout2;
 